Skip to Content
SeyloDocs
API referenceSign-in and account

Start setting up an authenticator app

POST
/api/v1/auth.totpEnroll

Creates a new TOTP secret for the signed-in person and returns it as a QR-ready otpauth URL. It is not enforced until auth.totpConfirm. CONFLICT when 2FA is already on. Needs a sign-in or auth.reauth from the last 15 minutes (FORBIDDEN details.reason "reauth" otherwise).

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body

Response Body

Success.

application/json
  1. response
secret*string
otpauthUrl*string
Example Request
curl -X POST 'https://example.com/api/v1/auth.totpEnroll' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "secret": "string",  "otpauthUrl": "string"}